xbm.hpp File Reference

A class for xbm pictures. More...

`#include <claw/image.hpp>`
`#include <iostream>`
`#include <string>`

Go to the source code of this file.

## Classes

class | claw::graphic::xbm
| A class for xbm pictures. More...
class | claw::graphic::xbm::reader
| This class read data from a xbm file and store it in an image. More...
class | claw::graphic::xbm::writer
| This class write an image in a xbm file. More...
struct | claw::graphic::xbm::writer::options
| Parameters of the writing algorithm. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::graphic
| Everything about image structures and processing.

## Detailed Description

A class for xbm pictures.

Author
  Julien Jorge

Definition in file xbm.hpp.